Package Details: dnsdist 1.4.0-2

Git Clone URL: https://aur.archlinux.org/dnsdist.git (read-only, click to copy)
Package Base: dnsdist
Description: Highly DNS-, DoS- and abuse-aware loadbalancer
Upstream URL: https://dnsdist.org/
Keywords: dns
Licenses: GPL2
Submitter: rgacogne
Maintainer: rgacogne
Last Packager: rgacogne
Votes: 4
Popularity: 0.55
First Submitted: 2016-05-08 13:58
Last Updated: 2019-11-21 10:41

Latest Comments

1 2 Next › Last »

bjo commented on 2019-11-21 10:43

Thanks! (and voted ;) )

h2o depends on wslay, which is also only in AUR atm :/

rgacogne commented on 2019-11-21 10:41

DoH support added!

rgacogne commented on 2019-11-21 10:35

@bjo I hope to get dnsdist into the official repositories, and DoH requires h2o which is only present in the AUR at the moment. I didn't want to add DoH support now and have to drop it suddenly when moving to community, but I think I will reconsider and try to get h2o into community as well instead.

bjo commented on 2019-11-21 10:31

Any reason for not also enabling DoH when running configure?

Bodenhaltung commented on 2019-04-29 19:15

I get "unknown key A208ED4F8AF58446" for dnsdist-1.3.3.tar.bz2?

rgacogne commented on 2018-12-05 08:17

@bruceutut I can't reproduce that, would you mind looking in config.log to see what's happening?

bruceutut commented on 2018-12-05 03:06

I have libsodium installed but, configure: error: libsodium requested but libraries were not found

WRMSR commented on 2018-01-19 21:56

Hi,

as stated here: https://dnsdist.org/install.html pandoc & ragel are not needed to build this package (because this is the tarball version), thus you don't need to install those many haskell packages just to build this package. python-virtualenv and net-snmp aren't necessary also. (But I'd go for an optional dependency with net-snmp for snmp support).

I tested it by removing those from my PKGBUILD and the build process finished successfully.

nfnty commented on 2017-01-01 13:28

Doesn't build inside a container without `systemd` installed. The service file is not generated and `sed` fails. Not sure why it checks for `systemd` at build time. Should only check for `libsystemd` during build time and check during run time if `systemd` is running.

nfnty commented on 2017-01-01 13:01

Would be nice if you could enable re2. Add `re2` to depends and `--enable-re2`.